repo/gentoo:master commit in: dev-ml/opam/
"Thomas Bracht Laumann Jespersen" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786607367.7a0882c73e9a6559864aac3a72358ccd9e56fa83.laumann@gentoo> |
commit: 7a0882c73e9a6559864aac3a72358ccd9e56fa83
Author: Kate <kit-ty-kate <AT> exn <DOT> st>
AuthorDate: Fri Jul 10 14:26:37 2026 +0000
Commit: Thomas Bracht Laumann Jespersen <laumann <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 07:49:27 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a0882c7
dev-ml/opam: add 2.5.2
Bug: https://bugs.gentoo.org/979018
Signed-off-by: Kate <kit-ty-kate <AT> exn.st>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1365
Signed-off-by: Thomas Bracht Laumann Jespersen <laumann <AT> gentoo.org>
dev-ml/opam/Manifest | 1 +
dev-ml/opam/opam-2.5.2.ebuild | 55 +++++++++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/dev-ml/opam/Manifest b/dev-ml/opam/Manifest
index 56834a78e4e4..d408cbea0b4a 100644
--- a/dev-ml/opam/Manifest
+++ b/dev-ml/opam/Manifest
@@ -3,3 +3,4 @@ DIST opam-2.2.1.tar.gz 1089671 BLAKE2B cd6a97c8c19d7866205b49f95bf4215d986b3ad8b
DIST opam-2.3.0.tar.gz 1128521 BLAKE2B 1567dbf9f2a944f2399820a1007a0d0943c54e158a5c371421ede0b59a84dfbcef4a5b8e259d74e053e6ae094a89bf6e4ec8686a076c9216f1c7a9136e3958ed SHA512 596d7b28f0cf9613dc7637aaeac45cc45f411a13286fea1cc81aeb0630c4f8a6dc2095d50db73229a255a3da3d9a08fe0993355a7fc64d3b16fd712789ff5f6e
DIST opam-2.4.1.tar.gz 1191951 BLAKE2B 21c6e5e59741699233be0375e7357ab4f8178f2e80bb347f460ac6e53b7fe3ff63dbfb21aeab6dda51ad937b30050d2eeb55e8b3bd6cacbea9f23fd8321a4646 SHA512 ee1656715f7e03c36ed9aa0a158033bbdb977d3e9017efa0ceddcd7b073e9b587eb6340ddf1916d9da197c7f48766e569221e6d8e43314bf761326329e4be0a6
DIST opam-2.5.1.tar.gz 1277085 BLAKE2B ce0b3224549144adcd9bb1a185b117a14a4ab3247e33dd882382ff5e1adae14a21acc28fb97a14577e464588d95369f4104663875151574c201819bc472b40ff SHA512 213f65253e12db5e64ece137db48eb031acb683ac3c0ecd3c02d1127a55777ef2d47298ebdffcdbb8c55a3a08ab0ec0a675698b05d72a3fd1649c89af8fdd150
+DIST opam-2.5.2.tar.gz 1283376 BLAKE2B db74d81c9ef0ef5f54fef5c0b9f2965cd74c4dec33b17f5108e756534e73fc6de0613a01567061a9d837ee7d1326b840c138106bcf150f321f353f661a2b89e5 SHA512 0b15627c4a31d3abcdbb5885bf2e7f4dee9ffddad2144855d1e1e18d66edc379e3a2b0a378097c35897e571f856b61aadabb47672d75401f6f6231f33ae475c8
diff --git a/dev-ml/opam/opam-2.5.2.ebuild b/dev-ml/opam/opam-2.5.2.ebuild
new file mode 100644
index 000000000000..819bbe3ec383
--- /dev/null
+++ b/dev-ml/opam/opam-2.5.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DUNE_PKG_NAME="opam"
+inherit dune
+
+DESCRIPTION="A source-based package manager for OCaml"
+HOMEPAGE="http://opam.ocaml.org/"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
+S="${WORKDIR}/opam-${PV/_/-}"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+ocamlopt"
+RESTRICT="test" #see bugs 838658
+
+RDEPEND="
+ dev-ml/0install:=[ocamlopt?]
+ <dev-ml/cmdliner-2:=[ocamlopt?]
+ dev-ml/cudf:=[ocamlopt?]
+ dev-ml/dose3:=[ocamlopt?]
+ dev-ml/extlib:=[ocamlopt?]
+ dev-ml/jsonm:=[ocamlopt?]
+ dev-ml/ocaml-base64:=[ocamlopt?]
+ dev-ml/ocamlgraph:=[ocamlopt?]
+ dev-ml/ocaml-sha:=[ocamlopt?]
+ dev-ml/opam-0install-cudf:=[ocamlopt?]
+ ~dev-ml/opam-common-${PV}:=[ocamlopt?]
+ dev-ml/opam-file-format:=[ocamlopt?]
+ dev-ml/re:=[ocamlopt?]
+ dev-ml/spdx_licenses:=[ocamlopt?]
+ dev-ml/stdlib-shims:=[ocamlopt?]
+ dev-ml/swhid_core:=[ocamlopt?]
+ dev-ml/uchar:=[ocamlopt?]
+ dev-ml/uutf:=[ocamlopt?]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-ml/findlib"
+
+src_configure() {
+ :
+}
+
+src_compile() {
+ dune-compile opam-solver opam-repository opam-state opam-client ${DUNE_PKG_NAME}
+}
+
+src_install() {
+ dune_src_install
+ mv "${ED}"/usr/share/doc/${PF}/${PN}/* \
+ "${ED}"/usr/share/doc/${PF} || die
+}